
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/oct.zip" ),
}
local prefabs = {}

local fn = function(inst)
	
	-- choose which sounds this character will play
	inst.soundsname = "wilson"

	-- a minimap icon must be specified
	inst.MiniMapEntity:SetIcon( "wilson.png" )

	-- todo: Add an example special power here.
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * .85)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * .9)
	inst.components.sanity:SetMax(260)
	inst.components.health:SetMaxHealth(100)
	inst.components.hunger:SetMax(160)

	
	
end


-- strings! Any "oct" below would have to be replaced by the prefab name of your character.

-- First up, the character select screen lines 
-- note: these are lower-case character name
STRINGS.CHARACTER_TITLES.oct = "The Octopus"
STRINGS.CHARACTER_NAMES.oct = "oct"
STRINGS.CHARACTER_DESCRIPTIONS.oct = "* Isn't scared easily, but is slow."
STRINGS.CHARACTER_QUOTES.oct = "\"Blrblrblblrbl!\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
STRINGS.CHARACTERS.OCT = {}
STRINGS.CHARACTERS.OCT.DESCRIBE = {}
STRINGS.CHARACTERS.OCT.DESCRIBE.EVERGREEN = "Blrglrblglblblrr."
STRINGS.CHARACTERS.OCT.ACTIONFAIL_GENERIC = "Blrb."
STRINGS.CHARACTERS.OCT.ANNOUNCE_ADVENTUREFAIL = "Blrrlrl glrrr."
STRINGS.CHARACTERS.OCT.ANNOUNCE_BOOMERANG = "Blrrr!"
STRINGS.CHARACTERS.OCT.ANNOUNCE_CHARLIE = "GLBBR!"
STRINGS.CHARACTERS.OCT.ANNOUNCE_CHARLIE_ATTACK = "GLBBGLGRRRR!"
STRINGS.CHARACTERS.OCT.ANNOUNCE_COLD = "Blrrrrrrrr..."
STRINGS.CHARACTERS.OCT.ANNOUNCE_CRAFTING_FAIL = "Brl grlrl."
STRINGS.CHARACTERS.OCT.ANNOUNCE_DUSK = "Blrgrg..."
STRINGS.CHARACTERS.OCT.ANNOUNCE_EAT =
	{
		GENERIC = "Glb glb.",
		PAINFUL = "Glbbbb!",
		SPOILED = "Blgllll.",
		STALE = "Blrgrlgbl?.",
	}
STRINGS.CHARACTERS.OCT.ANNOUNCE_ENTER_DARK = "Blgg blglgglb rlrbgblbl."
STRINGS.CHARACTERS.OCT.ANNOUNCE_ENTER_LIGHT = "Blggg gblrgl!"
STRINGS.CHARACTERS.OCT.ANNOUNCE_HOUNDS = "Blrgll?"
STRINGS.CHARACTERS.OCT.ANNOUNCE_HUNGRY = "Glb... gbll... blr..."
STRINGS.CHARACTERS.OCT.ANNOUNCE_HUNT_BEAST_NEARBY = "Blgg! Blggggggg!"
STRINGS.CHARACTERS.OCT.ANNOUNCE_HUNT_LOST_TRAIL = "Glblblblbl?"
STRINGS.CHARACTERS.OCT.ANNOUNCE_INV_FULL = "Glb grb."
STRINGS.CHARACTERS.OCT.ANNOUNCE_PECKED = "Blgg!"
STRINGS.CHARACTERS.OCT.ANNOUNCE_TORCH_OUT = "Blg glblblgl..."
STRINGS.CHARACTERS.OCT.ANNOUNCE_WORMHOLE = "Blblgrl?"
STRINGS.CHARACTERS.OCT.ANNOUNCE_NODANGERSLEEP = "Blglglb."
STRINGS.CHARACTERS.OCT.ANNOUNCE_NODAYSLEEP = "Blrblblblglbl."
STRINGS.CHARACTERS.OCT.ANNOUNCE_NOHUNGERSLEEP = "Blggl... bllg... brgl..."
STRINGS.CHARACTERS.OCT.BATTLECRY =
	{
		GENERIC = "BLGGLBBLGRGRLBLBLGRLBLBLGLRGBLL!",
		PIG = "BLRGRGLBLGL!",
		PREY = "RGBLGLGBLRL!",
		SPIDER = "BLGLGLRGLB 8 BGLGLGL!",
		SPIDER_WARRIOR = "BLGLGRGBL BLGLGLGL!",
	}

STRINGS.CHARACTERS.OCT.COMBAT_QUIT =
	{
		GENERIC = "GBLGBLGBL!",
	}
STRINGS.CHARACTERS.OCT.DESCRIBE =
	{
		CAVE_BANANA = "Blblbl.",
		CAVE_BANANA_COOKED = "Blblbl blbl.",
		CAVE_BANANA_TREE = "Blblbl blll",
		ROCKY = "Blgrgg.",
		MONKEY = "Blglglbrlbl.",
		MONKEYBARREL = "Glbglgbblg bglrlglbl.",
		BLUEAMULET = "Blglgblgl bglbgllrgl.",
		PURPLEAMULET = "Bgllrlgrlgbll.",
		HOUNDSTOOTH="Bglglglblbl.",
		ARMORSNURTLESHELL="Bglglblglbglbl.",
		BAT="Blgrgl? Blgl!",
		BATBAT = "Blgblg blgbl.",
		BATWING="Blglrrglbll?",
		BATWING_COOKED="Blglglglblbgl blglgl.",
		BEDROLL_FURRY="Blggbrblglrl.",
		BUNNYMAN="Bglglbllbl.",
		FLOWER_CAVE="Bglglbllbl.",
		FLOWER_CAVE_DOUBLE="Bglglbllbl.",
		FLOWER_CAVE_TRIPLE="Bglglbllbl.",
		GUANO="Bglglbllbl.",
		LANTERN="Bglglblrl bglgl.",
		LIGHTBULB="Bglglblrl bglgl.",
		MANRABBIT_TAIL="Bglglblrl bglgl.",
		MUSHTREE_TALL  ="Bglglblrl bglgl.",
		MUSHTREE_MEDIUM="Bglglblrl bglgl.",
		MUSHTREE_SMALL ="Bglglblrl bglgl.",
		RABBITHOUSE="Blglgblgl bglbgllrgl.",
		SLURTLE="Blglgblgl bglbgllrgl.",
		SLURTLE_SHELLPIECES="Blglgblgl bglbgllrgl.",
		SLURTLEHAT="Blglgblgl bglbgllrgl.",
		SLURTLEHOLE="Blglgblgl bglbgllrgl.",
		SLURTLESLIME="Blglgblgl bglbgllrgl.",
		SNURTLE="Blglgblgl bglbgllrgl.",
		SPIDER_HIDER="Blglgblgl bglbgllrgl.",
		SPIDER_SPITTER="Blglgblgl bglbgllrgl.",
		SPIDERHOLE="Blglblglblblbl.",
		STALAGMITE="Blglblglblblbl.",
		STALAGMITE_FULL="Blglblglblblbl.",
		STALAGMITE_LOW="Blglblglblblbl.",
		STALAGMITE_MED="Blglblglblblbl.",
		STALAGMITE_TALL="Blglblglblblbl.",
		STALAGMITE_TALL_FULL="Blglblglblblbl.",
		STALAGMITE_TALL_LOW="Blglblglblblbl.",
		STALAGMITE_TALL_MED="Blglblglblblbl.",
		TURF_FUNGUS="Blglblglblblbl.",
		TURF_MUD="Blglglbl blgl rlrlblgl.",
		TURF_SINKHOLE="Blglglbl blgl rlrlblgl.",
		TURF_UNDERROCK="Blglglbl blgl rlrlblgl.",
		POWCAKE = "Blglglbl blgl rlrlblgl.",		
		CAVE_ENTRANCE = 
		{
			GENERIC="Blglglbl blgl rlrlblgl.",
			OPEN = "glblbl blrl?",
		},
		CAVE_EXIT = "Blrl glblglb.",
		BOOMERANG = "Blrl glblglb.",
		MAXWELLPHONOGRAPH = "Blrl glblglb.",
		ABIGAIL = "Blrl glblglb.",
		PIGGUARD = "Blrl glblglb. Bllblbl.",
		ADVENTURE_PORTAL = "Gblglb gbllgl.",
		AMULET = "Gblglb gbllgl.",
		ANIMAL_TRACK = "Gblglb gbllgl.",
		ARMORGRASS = "Gblglb gbllgl.",
		ARMORMARBLE = "Gblglb gbllgl.",
		ARMORWOOD = "Gblglb gbllgl.",
		ARMOR_SANITY = "Gblglb gbllgl.",
		AXE = "Gblbl glgl.",
		BACONEGGS = "Gblbl glgl.",
		BABYBEEFALO = "Gblbl glgl.",
		BANDAGE = "Gblbl glgl.",
		BASALT = "Gblbl glgl.",
		BEARDHAIR = "Gblbl glgl.",
		BEDROLL_STRAW = "Gblbl glgl.",
		BEE =
		{
			GENERIC = "Gblbl glgl.",
			HELD = "Gblbl glgl.",
		},
		BEEBOX =
		{
			GENERIC = "Gblbl glgl.",
			READY = "Gblbl glgl.",
		},
		BEEFALO =
		{
			FOLLOWER = "Gblbl glgl.",
			GENERIC = "Gblbl glgl.",
			NAKED = "Gblrlbl brl gbl.",
			SLEEPING = "Gblrlbl brl gbl.",
		},
		BEEFALOHAT = "Gblrlbl brl gbl.",
		BEEFALOWOOL = "Gblrlbl brl gbl.",
		BEEHIVE = "Gblrlbl brl gbl.",
		BERRIES = "Gblrlbl brl gbl.",
		BERRIES_COOKED = "Gblrlbl brl gbl.",
		BERRYBUSH =
		{
			BARREN = "Gblrlbl brl gbl.",
			GENERIC = "Gblbl glgl.",
			PICKED = "Gblbl glgbrl brlbl.",
		},
		BIRDCAGE =
		{
			GENERIC = "Gblbl glgl.",
			OCCUPIED = "Glbrlblll glbl gl.",
			SLEEPING = "Glbrlblll glbl gl.",
		},
		BIRDTRAP = "Glbrlblll glbl gl.",
		BIRD_EGG = "Glbrlblll glbl gl.",
		BIRD_EGG_COOKED = "Glbrlblll glbl gl.",
		BISHOP = "Glbrlblll glbl gl.",
		BLOWDART_FIRE = "Glbrlblll glbl gl.",
		BLUEGEM = "Glbrlblll glbl gl.",
		BLUEPRINT = "Glbrlblll glbl gl.",
		BLUE_CAP = "Glbrlblll glbl gl.",
		BLUE_CAP_COOKED = "Glbrlblll glbl gl.",
		BLUE_MUSHROOM =
		{
			GENERIC = "Glbrlblll glbl gl.",
			INGROUND = "Glbrlblll glbl gl.",
			PICKED = "Glbrlblll glbl gl.",
		},
		BOARDS = "Glbrlblll glbl gl.",
		BONESTEW = "Glbrlblll glbl gl.",
		BUGNET = "Blglbl.",
		BUSHHAT = "Blglbl.",
		BUTTER = "Blglbl.",
		BUTTERFLY =
		{
			GENERIC = "Blglbl.",
			HELD = "Blglbl.",
		},
		BUTTERFLYMUFFIN = "Blglbl.",
		BUTTERFLYWINGS = "Blglbl.",
		CAMPFIRE =
		{
			EMBERS = "Blglbl.",
			GENERIC = "Blglbl.",
			HIGH = "Blglbl.",
			LOW = "Blgrgl...",
			NORMAL = "Blglglblr.",
			OUT = "Blglgglgl?",
		},
		CANE = "Blglbl.",
		CARROT = "Blglbl.",
		CARROT_COOKED = "Blglbl.",
		CARROT_PLANTED = "Blglbl.",
		CAVE_FERN = "Blglbl.",
		CHARCOAL = "Blglbl.",
		CHESTER = "Blglbl.",
		CHESTER_EYEBONE =
		{
			GENERIC = "Blglbl.",
			WAITING = "Blglbl.",
		},
		COOKEDMANDRAKE = "Blgg! Blggggggg!",
		COOKEDMEAT = "Blgg! Blggggggg!",
		COOKEDMONSTERMEAT = "Blgg! Blggggggg!",
		COOKEDSMALLMEAT = "Blgg! Blggggggg!",
		COOKPOT =
		{
			COOKING_LONG = "Blgg! Blggggggg!!",
			COOKING_SHORT = "Blglrlrl blgl glglbl.",
			DONE = "Bgl!",
			EMPTY = "Blglblglbllblblbl.",
		},
		CROW =
		{
			GENERIC = "Blglrlrl blgl glglbl.",
			HELD = "Blglrlrl blgl glglbl.",
		},
		CORN = "Blglrlrl blgl glglbl.",
		CORN_COOKED = "Blglrlrl blgl glglbl.",
		CUTGRASS = "Blglrlrl blgl glglbl.",
		CUTREEDS = "Blglrlrl blgl glglbl.",
		CUTSTONE = "Blglrlrl blgl glglbl.",
		DEERCLOPS = "Bglglblgl! Blgglbl! Bglbl!",
		DEERCLOPS_EYEBALL = "Blglrlrl blgl glglbl.",
		DEVTOOL = "Blglrlrl blgl glglbl.",
		DIRTPILE = "Blglrlrl blgl glglbl.",
		DRAGONFRUIT = "Blglrlrl blgl glglbl.",
		DRAGONFRUIT_COOKED = "Blglrlrl blgl glglbl.",
		DRAGONPIE = "Blglrlrl blgl glglbl.",
		DRUMSTICK = "Blglrlrl blgl glglbl.",
		DRUMSTICK_COOKED = "Blglrlrl blgl glglbl.",
		DURIAN = "Blglrlrl blgl glglbl.",
		DURIAN_COOKED = "Blglrlrl blgl glglbl.",
		DIVININGROD =
		{
			COLD = "Blglrlrl blgl glglbl.",
			GENERIC = "Blglrlrl blgl glglbl.",
			HOT = "Blglglglbl.",
			WARM = "Blglglbl.",
			WARMER = "Blrlrl blglglbl.!",
		},
		EARMUFFHAT = "Blglrlrl blgl glglbl.",
		EGGPLANT = "Blglrlrl blgl glglbl.",
		EGGPLANT_COOKED = "Blglrlrl blgl glglbl.",
		EVERGREEN =
		{
			BURNING = "Blglrlr!",
			BURNT = "Bglglblrgbl.",
			CHOPPED = "Bglglblrgbl.",
			GENERIC = "Bglglblrgbl.",
		},
		EVERGREEN_SPARSE =
		{
			BURNING = "Bglglblrgbl.",
			BURNT = "Bglglblrgbl.",
			CHOPPED = "Bglglblrgbl.",
			GENERIC = "Bglglblrgbl.",
		},
		EYEPLANT = "Bglglblrgbl.",
		FARMPLOT =
		{
			GENERIC = "Bglglblrgbl.",
			GROWING = "Bglglblrgbl.",
			NEEDSFERTILIZER = "Bglglblrgbl.",
		},
		FEATHERHAT = "Bglglblrgbl.",
		FEM_PUPPET = "Bglglblrgbl.",
		FIREFLIES =
		{
			GENERIC = "Bglglblrgbl.",
			HELD = "Bglglblrgbl.",
		},
		FIREHOUND = "Bglglgbl!",
		FIREPIT =
		{
			EMBERS = "Bglglgbl.",
			GENERIC = "Bglglgbl.",
			HIGH = "Bglglgbl.",
			LOW = "Bglglgbl.",
			NORMAL = "Bglglgbl.",
			OUT = "Bglglgbl.",
		},
		FIRESTAFF = "Bglglgbl.",
		FISH = "Bglglgbl! BGLBBL!",
		FISHINGROD = "Bglglgbl.",
		FISHSTICKS = "Bglglgbl.",
		FISHTACOS = "Bglglgbl.",
		FISH_COOKED = "Bglglgbl.",
		FLINT = "Bglglgbl.",
		FLOWER = "Bglglgbl.",
		FLOWERHAT = "Blgbllllllbglbl!",
		FLOWER_EVIL = "Bglglgbl.",
		FOLIAGE = "Bglglgbl.",
		FOOTBALLHAT = "Bglglgbl.",
		FROG =
		{
			DEAD = "Bglglgbl.",
			GENERIC = "Bglglgbl.",
			SLEEPING = "Bglglgbl.",
		},
		FROGGLEBUNWICH = "Bglglgbl.",
		FROGLEGS = "Bglglgbl.",
		FROGLEGS_COOKED = "Bglglgbl.",
		FRUITMEDLEY = "Bglglgbl.",
		GEARS = "Bglglgbl.",
		GHOST = "Bglglgbl.",
		GOLDENAXE = "Bglglgbl.",
		GOLDENPICKAXE = "Bglglgbl.",
		GOLDENPITCHFORK = "Bglglgbl.",
		GOLDENSHOVEL = "Bglglgbl.",
		GOLDNUGGET = "Gblblglblgl.",
		GRASS =
		{
			BARREN = "Gblblglblgl.",
			BURNING = "Gblblglblgl.",
			GENERIC = "Gblblglblgl.",
			PICKED = "Gblblglblgl.",
		},
		GREEN_CAP = "Gblblglblgl.",
		GREEN_CAP_COOKED = "Gblblglblgl.",
		GREEN_MUSHROOM =
		{
			GENERIC = "Gblblglblgl.",
			INGROUND = "Gblblglblgl.",
			PICKED = "Gblblglblgl.",
		},
		GUNPOWDER = "Gblblglblgl.",
		HAMBAT = "Gblblglblgl.",
		HAMMER = "Gblblglblgl.",
		HEALINGSALVE = "Gblblglblgl.",
		HEATROCK =
		{
			COLD = "Gblblglblgl.",
			GENERIC = "Gblblglblgl.",
			HOT = "Gblblglblgl.",
			WARM = "Gblblglblgl.",
		},
		HOMESIGN = "Gblblglblgl.",
		HONEY = "Gblblglblgl.",
		HONEYCOMB = "Gblblglblgl.",
		HONEYHAM = "Gblblglblgl.",
		HONEYNUGGETS = "Gblblglblgl.",
		HORN = "Gblblglblgl.",
		HOUND = "Gblblglblgl.",
		HOUNDBONE = "Gblblglblgl.",
		HOUNDMOUND = "Gblblglblgl.",
		ICEBOX = "Gblblglblgl.",
		ICEHOUND = "Gblblglblgl.",
		INSANITYROCK =
		{
			ACTIVE = "Gblblglblgl.",
			INACTIVE = "Gblblglblgl. Bglblbl.",
		},
		JAMMYPRESERVES = "Gblblglblgl.",
		KABOBS = "Gblblglblgl.",
		KILLERBEE =
		{
			GENERIC = "BGLBLBGL!",
			HELD = "Blll...",
		},
		KNIGHT = "Bglblglblblgrlgbl.",
		KOALEFANT_SUMMER = "Bglblglblblgrlgbl.",
		KOALEFANT_WINTER = "Bglblglblblgrlgbl.",
		KRAMPUS = "Bglblglblblgrlgbl.",
		KRAMPUS_SACK = "Bglblglblblgrlgbl.",
		LEIF = "Bglblglblblgrlgbl.",
		LEIF_SPARSE = "Bglblglblblgrlgbl.",
		LIGHTNING_ROD =
		{
			CHARGED = "Bglblglblblgrlgbl.",
			GENERIC = "Bglblglblblgrlgbl.",
		},
		LITTLE_WALRUS = "Bglblglblblgrlgbl.",
		LIVINGLOG = "Bglblglblblgrlgbl.",
		LOCKEDWES = "Bglblglblblgrlgbl.",
		LOG = "Bglblglblblgrlgbl.",
		LUREPLANT = "Bglblglblblgrlgbl.",
		LUREPLANTBULB = "Bglblglblblgrlgbl.",
		MALE_PUPPET = "Bglblbglbl.",
		MANDRAKE =
		{
			DEAD = "Bglblbglbl.",
			GENERIC = "Bglblbglbl.",
			PICKED = "Bglblbglbl.",
		},
		MANDRAKESOUP = "Bglblbglbl.",
		MANDRAKE_COOKED = "Bglblbglbl.",
		MARBLE = "Bglblbglbl.",
		MARBLEPILLAR = "Bglblbglbl.",
		MARBLETREE = "Bglblbglbl.",
		MARSH_BUSH =
		{
			BURNING = "hahahahaha",
			GENERIC = "Bglblbglbl.",
			PICKED = "Bglblbglbl.",
		},
		MARSH_PLANT = "Bglblbglbl.",
		MARSH_TREE =
		{
			BURNING = "Bglblbglbl.",
			BURNT = "Bglblbglbl.",
			CHOPPED = "Bglblbglbl.",
			GENERIC = "Bglblbglbl.",
		},
		MEAT = "Bglblbglbl.",
		MEATBALLS = "Bglblbglbl.",
		MEATRACK =
		{
			DONE = "Bglblbglbl.",
			DRYING = "Bglblbglbl.",
			GENERIC = "Bglblbglblbglbl.",
		},
		MEAT_DRIED = "Gblrblglgbl.",
		MERM = "Gblrblglgbl.",
		MERMHEAD = "Gblrblglgbl.",
		MERMHOUSE = "Gblrblglgbl.",
		MINERHAT = "Gblrblglgbl.",
		MONSTERLASAGNA = "Gblrblglgbl.",
		MONSTERMEAT = "Gblrblglgbl.",
		MONSTERMEAT_DRIED = "Gblrblglgbl.",
		MOSQUITO =
		{
			GENERIC = "Gblrblglgbl.",
			HELD = "Gblrblglgbl.",
		},
		MOUND =
		{
			DUG = "Gblrblglgbl.",
			GENERIC = "Gblrblglgbl.",
		},
		NIGHTLIGHT = "Gblrblglgbl.",
		NIGHTMAREFUEL = "Gblrblglgbl.",
		NIGHTSWORD = "Gblrblglgbl.",
		NITRE = "Gblrblglgbl.",
		ONEMANBAND = "Gblrblglgbl.",
		PANFLUTE = "Blglglblglblrl.",
		PAPYRUS = "Blglglblglblrl.",
		PENGUIN = "Blglglblglblrl.",
		PERD = "Blglglblglblrl.",
		PETALS = "Blglglblglblrl.",
		PETALS_EVIL = "Blglglblglblrl.",
		PICKAXE = "Blglglblglblrl.",
		PIGGYBACK = "Blglglblglblrl.",
		PIGHEAD = "Blglglblglblrl.",
		PIGHOUSE =
		{
			FULL = "Blglglblglblrl.",
			GENERIC = "Blglglblglblrl.",
			LIGHTSOUT = "Blglglblglblrl.",
		},
		PIGKING = "Blglglblglblrl.",
		PIGMAN =
		{
			DEAD = "Blglglblglblrl.",
			FOLLOWER = "Blglglblglblrl.",
			GENERIC = "Blglglblglblrl.",
			GUARD = "Blglglblglblrl.",
			WEREPIG = "Blglglblglblrl.",
		},
		PIGSKIN = "Blglglblglblrl.",
		PIGTORCH = "Blglglblglblrl.",
		PINECONE = 
		{
		    GENERIC = "Blglglblglblrl.",
		    PLANTED = "Blglglblglblrl.",
		},
		PITCHFORK = "Blglglblglblrl.",
		PLANTMEAT = "Blglglblglblrl.",
		PLANTMEAT_COOKED = "Blglglblglblrl.",
		PLANT_NORMAL =
		{
			GENERIC = "Blglglblglblrl.",
			GROWING = "Blglglblglblrl.",
			READY = "Blglglblglblrl.",
		},
		POMEGRANATE = "Blglglblglblrl.",
		POMEGRANATE_COOKED = "Blglglblglblrl.",
		POND = "Blglglblglblrl.",
		POOP = "Blglglblglblrl.",
		PUMPKIN = "Blglglblglblrl.",
		PUMPKINCOOKIE = "Blglglblglblrl.",
		PUMPKIN_COOKED = "Blglglblglblrl.",
		PUMPKIN_LANTERN = "Blglglblglblrl.",
		PURPLEGEM = "Bglblbglblbglbl.",
		RABBIT =
		{
			GENERIC = "Bglblbglblbglbl.",
			HELD = "Bglblbglblbglbl.",
		},
		RABBITHOLE = "Bglblbglblbglbl.",
		RAINOMETER = "Bglblbglblbglbl.",
		RATATOUILLE = "Bglblbglblbglbl.",
		RAZOR = "Bglblbglblbglbl.",
		REDGEM = "Bglblbglblbglbl.",
		RED_CAP = "Bglblbglblbglbl.",
		RED_CAP_COOKED = "Bglblbglblbglbl.",
		RED_MUSHROOM =
		{
			GENERIC = "Bglblbglblbglbl.",
			INGROUND = "Bglblbglblbglbl.",
			PICKED = "Bglblbglblbglbl.",
		},
		REEDS =
		{
			BURNING = "Bglblbglblbglbl.",
			GENERIC = "Bglblbglgblrlrlbl.",
			PICKED = "Bglblbglgblrlrlbl.",
		},
		RESEARCHLAB = "Bglblbglgblrlrlbl.",
		RESEARCHLAB2 = "Bglblbglgblrlrlbl.",
		RESEARCHLAB3 = "Bglblbglgblrlrlbl.",
		RESURRECTIONSTATUE = "Bglblbglgblrlrlbl.",
		RESURRECTIONSTONE = "Bglblbglgblrlrlbl.",
		ROBIN =
		{
			GENERIC = "Bglblbglgblrlrlbl.",
			HELD = "Bglblbglgblrlrlbl.",
		},
		ROBOT_PUPPET = "Bglblbglgblrlrlbl.",
		ROCK = "Bglblbglgblrlrlbl.",
		ROCKS = "Bglblbglgblrlrlbl.",
		ROPE = "Bglblbglgblrlrlbl.",
		ROTTENEGG = "Bglblbglgblrlrlbl.",
		SANITYROCK =
		{
			ACTIVE = "Bglblbglgblrlrlbl.",
			INACTIVE = "Bglblbglgblrlrlbl.",
		},
		SAPLING =
		{
			BURNING = "Bglblbglgblrlrlbl.",
			GENERIC = "Bglblbglgblrlrlbl.",
			PICKED = "Bglblbglgblrlrlbl.",
		},
		SEEDS = "Bglblbglgblrlrlbl.",
		SEWING_KIT = "Bglblbglgblrlrlbl.",
		SHOVEL = "Bglblbglgblrlrlbl.",
		SILK = "Bglblbglgblrlrlbl.",
		SKELETON = "Bglblblglblrlgl.",
		SKULLCHEST = "Bglblblglblrlgl.",
		SMALLBIRD =
		{
			GENERIC = "Bglblblglblrlgl.",
			HUNGRY = "Bglblblglblrlgl.",
			STARVING = "Bglblblglblrlgl.",
		},
		SMALLMEAT = "Bglblblglblrlgl.",
		SMALLMEAT_DRIED = "Bglblblglblrlgl.",
		SPEAR = "Bglblblglblrlgl.",
		SPIDER =
		{
			DEAD = "Bglblblglblrlgl.",
			GENERIC = "Bglblblglblrlgl.",
			SLEEPING = "Bglblblglblrlgl.",
		},
		SPIDERDEN = "Bglblblglblrlgl.",
		SPIDEREGGSACK = "Bglblblglblrlgl.",
		SPIDERGLAND = "Bglblblglblrlgl.",
		SPIDERHAT = "Bglblblglblrlgl.",
		SPIDERQUEEN = "Bglblblglblrlgl.",
		SPIDER_WARRIOR =
		{
			DEAD = "Bglblblglblrlgl.",
			GENERIC = "Bglblblglblrlgl.",
			SLEEPING = "Bglblblglblrlgl.",
		},
		SPOILED_FOOD = "Bglblblglblrlgl.",
		STATUEHARP = "Bglblblglblrlgl.",
		STATUEMAXWELL = "Bglblblglblrlgl.",
		STUFFEDEGGPLANT = "Bglblblglblrlgl.",
		STINGER = "Bglblblglblrlgl.",
		STRAWHAT = "Bglblblglblrlgl.",
		TAFFY = "Bglblblglblrlgl.",
		SUNKBOAT = "Bglblblglblrlgl.",
		TALLBIRD = "Bglgblglbgl.",
		TALLBIRDEGG = "Bglgblglbgl.",
		TALLBIRDEGG_COOKED = "Bglgblglbgl.",
		TALLBIRDEGG_CRACKED =
		{
			COLD = "Bglgblglbgl.",
			GENERIC = "Bglgblglbgl.",
			HOT = "Bglgblglbgl.",
			LONG = "Bglgblglbgl.",
			SHORT = "Bglgblglbgl.",
		},
		TEENBIRD =
		{
			GENERIC = "Bglgblglbgl.",
			HUNGRY = "Bglgblglbgl..",
			STARVING = "Bglgblglbgl.",
		},
		TELEPORTATO_BASE =
		{
			ACTIVE = "Bglgblglbgl.",
			GENERIC = "Bglgblglbgl.",
			LOCKED = "Bglgblglbgl.",
			PARTIAL = "Bglgblglbgl.",
		},
		TELEPORTATO_BOX = "Bglgblglbgl.",
		TELEPORTATO_CRANK = "Bglgblglbgl.",
		TELEPORTATO_POTATO = "Bglgblglbgl.",
		TELEPORTATO_RING = "Bglgblglbgl.",
		TELESTAFF = "Bglgblglbgl.",
		TENT = "Bglgblglbgl.",
		TENTACLE = "Bglgblglbgl.",
		TENTACLESPOTS = "Blglblglbll.",
		TENTACLESPIKE = "Blglblglbll.",
        	TENTACLE_PILLAR = "Blglblglbll.",
        	TENTACLE_PILLAR_ARM = "Blglblglbll.",
        	TENTACLE_GARDEN = "Blglblglbll.",
		TOPHAT = "Blglblglbll.",
		TORCH = "Blglblglbll.",
		TRAP = "Blglblglbll.",
		TRAP_TEETH = "Blglblglbll.",
		TRAP_TEETH_MAXWELL = "Blglblglbll.",
		TREASURECHEST = "Blglblglbll.",
		TRINKET_1 = "Blglblglbll.",
		TRINKET_10 = "Blglblglbll.",
		TRINKET_11 = "Blglblglbll.",
		TRINKET_12 = "Blglblglbll.",
		TRINKET_3 = "Blglblglbll.",
		TRINKET_7 = "Blglblglbll.",
		TRUNKVEST_SUMMER = "Blglblglbll.",
		TRUNKVEST_WINTER = "Blglblglbll.",
		TRUNK_COOKED = "Blglblglbll.",
		TRUNK_SUMMER = "Blglblglbll.",
		TRUNK_WINTER = "Blglblglbll.",
		TWIGS = "Blglblglbll.",
		UMBRELLA = "Blglblglbll.",
		WALL_HAY = "Blglblglbll.",
		WALL_STONE = "Bglglblbl.",
		WALL_WOOD = "Bglglblbl.",
		WALRUS = "Bglglblbl.",
		WALRUSHAT = "Bglglblbl.",
		WALRUS_CAMP =
		{
			EMPTY = "Bglglblbl.",
			GENERIC = "Bglglblbl.",
		},
		WALRUS_TUSK = "Bglglblbl.",
		WASPHIVE = "Bglglblbl.",
		WINTERHAT = "Bglglblbl.",
		WINTEROMETER = "Bglglblbl.",
		WORMHOLE =
		{
			GENERIC = "Bglglblbl?",
			OPEN = "Bglglblbl.",
		},

	}

return MakePlayerCharacter("oct", prefabs, assets, fn)
